<?php
/**
* @project    Atom-M CMS
* @package    Admin Panel module
* @url        https://atom-m.net
*/



include_once '../sys/boot.php';
include_once ROOT . '/admin/inc/adm_boot.php';


$pageTitle = __('F.A.Q.');
$pageNav = $pageTitle;
$pageNavr = '<a href="https://dev.atom-m.net/forum/view_forum/3" class="right" target="_blank">' . __('Ask question') . '</a>';


$FAQ = array(
    array(
        'Как убрать себя из бана?',
        'Удалите файл со своим IP адресом из папки /sys/logs/anti_ddos/'
    ),
    array(
        'Как очистить чат?',
        'Удалите файл /sys/tmp/chat/messages.dat',
    ),
    array(
        'Почему у меня слетает дизайн или не сохраняются настройки?',
        'Выставите права 0777 на все необходимые папки и вложеные в них файлы/папки',
    ),
    array(
        'Почему мой Atom-M счетчик показывает числа больше/меньше чем сторонние счетчики?',
        'Atom-M считает не хосты (по IP адресу), а посетителей. Проще говоря - сессии (еще точнее по cookies). Допустим к вам на сайт зайдет 100 человек с одного IP, сторонний счетчик посчитает их как одного, а Atom-M как 100. В то же время, если к вам на сайт зайдет один человек с 10 разных браузеров, Atom-M посчитает их как 10, а сторонний счетчик как одного. Для просмотра статистики по IP воспользуйтесь админкой (Админка -> статистика -> просмотр).',
    ),
    array(
        'Как включить вывод ошибок на сайте?',
        'Админка -> Общие настройки -> Режим отладки .',
    ),
    array(
        'При установке или после нее выдает 500 ошибку',
        'Это означает, что на вашем сервере запрещено использование некоторых дирректив .htaccess. Откройте файл .htaccess в корне сайта и закоментируйте все строки начинающиеся с "php". Если это не помогло, попробуйте комментировать другие строки или обратитесь в службу поддержки хостинга.',
    ),
    array(
        'Можно ли убирать рекламу Atom-M со своего сайта?',
        'Да, достаточно простого упоминания о нас в любом месте вашего сайта.',
    ),
    array(
        'Как я могу сменить сообщения об ошибках?',
        'В админке: дизайн >> страницы ошибок',
    ),
    array(
        'Как я могу изменить стандартный счетчик (картинку)?',
        'Замените файл /data/img/statistics.png. Размер изображения должен остаться прежним.',
    ),
    array(
        'Как менять стандартные надписи?',
        'Путем редактирования файла-локализации /data/languages/russian.php. Название russian.php может отличаться, в зависимости от языка.',
    ),
    array(
        'Как ускорить работу сайта?',
        'Врядли вам это понадобится, так как сайты на Atom-M и так самые шустрые, но вы можете ускорить Atom-M включив кэш страниц. Админка -> общие настройки -> кэш. При включенном кэше, сайт будет быстро занимать дисковое пространство сервера, будте бдительны, если ограничены в ресурсах.',
    ),
    array(
        'Как сделать какой либо модуль или страницу главной страницей сайта?',
        'Обозначить эту страницу или модуль как точка входа. Админка -> общие настройки -> точка входа ',
    ),
    array(
        'Выставил все права, а все равно пишет "Права выставлены не верно"',
        'На некоторых серверах php не имеет права вызывать функции проверки или выставления прав, тогда инстал может ругаться. Но установку можно продолжить и с этими ошибками. ',
    ),
    array(
        'Как удалить аккаунт пользователя?',
        'Никак. Хотите - отправьте в бан пожизненно',
    ),
);







include_once ROOT . '/admin/template/header.php';
?>



<div class="row">
    <div class="col s12">
    <?php foreach ($FAQ as $key => $value): ?>
            <div class="divider"></div>
            <div class="section">
                <h5><?php echo ($key + 1); ?>. <?php echo $value[0]; ?></h5>
                <p><?php echo $value[1]; ?></p>
            </div>
    <?php  endforeach; ?>
    </div>
</div>
<?php
include_once 'template/footer.php';
